@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: 400;
  }

  html,
  html:focus-within {
    scroll-behavior: smooth !important;
  }

  img {
    font-size: 14px;
    font-weight: 200;
  }

  p {
    font-size: 16px;
    line-height: 22px;
    font-size: clamp(10px, 1.2vw, 20px);
    line-height: clamp(1, 1.2, 1.5);
  }

  h2 {
    font-weight: 900;
    line-height: 40px;
  }

  h3 {
    @apply font-bold font-redditSans;
  }

  h5 {
    font-weight: 900;
    font-size: 16px;
  }

  img {
    height: clamp(100px, 50%, 300px);
    width: clamp(100px, 50%, 300px);
  }
}

.container {
  @apply mx-auto px-[1.875rem];
}

@screen md {
  .container {
    max-width: 720px;
  }
}

@screen lg {
  .container {
    max-width: 1100px;
  }
}

@screen xl {
  .container {
    max-width: 1140px;
  }
}

.visually-hidden {
  height: 0;
  visibility: 0;
  overflow: hidden;
}
